--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:10:40.386144098 -0400
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:10:40.392818892 -0400
@@ -99,7 +99,7 @@
 	segmf_map_t	*map;
 };
 
-static struct seg_ops segmf_ops;
+static const struct seg_ops segmf_ops;
 
 static int segmf_fault_gref_range(struct seg *seg, caddr_t addr, size_t len);
 
@@ -470,11 +470,6 @@
 }
 
 /*ARGSUSED*/
-static void
-segmf_dump(struct seg *seg)
-{}
-
-/*ARGSUSED*/
 static int
 segmf_pagelock(struct seg *seg, caddr_t addr, size_t len,
     struct page ***ppp, enum lock_type type, enum seg_rw rw)
@@ -482,13 +477,6 @@
 	return (ENOTSUP);
 }
 
-/*ARGSUSED*/
-static int
-segmf_setpagesize(struct seg *seg, caddr_t addr, size_t len, uint_t szc)
-{
-	return (ENOTSUP);
-}
-
 static int
 segmf_getmemid(struct seg *seg, caddr_t addr, memid_t *memid)
 {
@@ -499,20 +487,6 @@
 	return (0);
 }
 
-/*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segmf_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
-static int
-segmf_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 /*
  * Add a set of contiguous foreign MFNs to the segment. soft-locking them.  The
  * pre-faulting is necessary due to live migration; in particular we must
@@ -757,29 +731,23 @@
 	return (0);
 }
 
-static struct seg_ops segmf_ops = {
-	segmf_dup,
-	segmf_unmap,
-	segmf_free,
-	segmf_fault,
-	segmf_faulta,
-	segmf_setprot,
-	segmf_checkprot,
-	(int (*)())segmf_kluster,
-	(size_t (*)(struct seg *))NULL,	/* swapout */
-	segmf_sync,
-	segmf_incore,
-	segmf_lockop,
-	segmf_getprot,
-	segmf_getoffset,
-	segmf_gettype,
-	segmf_getvp,
-	segmf_advise,
-	segmf_dump,
-	segmf_pagelock,
-	segmf_setpagesize,
-	segmf_getmemid,
-	segmf_getpolicy,
-	segmf_capable,
-	seg_inherit_notsup
+static const struct seg_ops segmf_ops = {
+	.dup		= segmf_dup,
+	.unmap		= segmf_unmap,
+	.free		= segmf_free,
+	.fault		= segmf_fault,
+	.faulta		= segmf_faulta,
+	.setprot	= segmf_setprot,
+	.checkprot	= segmf_checkprot,
+	.kluster	= segmf_kluster,
+	.sync		= segmf_sync,
+	.incore		= segmf_incore,
+	.lockop		= segmf_lockop,
+	.getprot	= segmf_getprot,
+	.getoffset	= segmf_getoffset,
+	.gettype	= segmf_gettype,
+	.getvp		= segmf_getvp,
+	.advise		= segmf_advise,
+	.pagelock	= segmf_pagelock,
+	.getmemid	= segmf_getmemid,
 };
